Bug 186220 - Add aspect ratio to screen resolution selection
Add aspect ratio to screen resolution selection
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
19
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Orphan Owner
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 06:13 EST by Bernard Johnson
Modified: 2015-02-18 06:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:56:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bernard Johnson 2006-03-22 06:13:11 EST
Description of problem:
It would be helpful to have the aspect ratio listed with the screen resolution
selection during firstboot.

Version-Release number of selected component (if applicable):
firstboot-1.4.6-1

How reproducible:
Always


Steps to Reproduce:
1. install system or trigger firstboot
2. step through to display resolution selection
3.
  
Actual results:
(for example)
640x480
800x600
1024x768
1152x768
1162x864
1280x800

Expected results:
(for example)
640x480 (4:3)
800x600 (4:3)
1024x768 (4:3)
1152x768 (3:2)
1162x864 (4:3)
1280x800 (8:5)

Additional info:
This should apply to system-config-display as well.
Comment 1 Adam Jackson 2006-03-22 10:45:39 EST
What situation are you thinking of where knowing the aspect ratio would solve a
problem?
Comment 2 Dave Malcolm 2006-03-22 11:58:51 EST
I ran into such a situation with the Screen Resolution preferences capplet
(rather than firstboot), working with a colleague trying to read over my
shoulder, and a dumb app that didn't easily allow me to rescale fonts, and was
looking for a quick way of reducing my screen resolution whilst preserving
aspect ratio.  

I don't think it's a common situation though.  Also, what's the assumed aspect
ratio of the individual pixels: if that's not 1:1 then this becomes horribly
complex.
Comment 3 Adam Jackson 2006-03-22 14:25:40 EST
(In reply to comment #2)
> I ran into such a situation with the Screen Resolution preferences capplet
> (rather than firstboot), working with a colleague trying to read over my
> shoulder, and a dumb app that didn't easily allow me to rescale fonts, and was
> looking for a quick way of reducing my screen resolution whilst preserving
> aspect ratio.  

which i guess is a problem i'd rather solve with magnification in the compmgr,
but that's not exactly near term.

i guess i'm wondering how you'd UI this properly.  a check box for "show me the
non-native aspect ratios" seems rather odd.

> I don't think it's a common situation though.  Also, what's the assumed aspect
> ratio of the individual pixels: if that's not 1:1 then this becomes horribly
> complex.

X's core rasterisation assumes square pixels.  Correction has to be done in the
app, if at all.
Comment 4 Bernard Johnson 2006-03-22 14:33:31 EST
I know that my monitor is a 4:3 aspect ratio.  Choosing anything other than 4:3
resolution is probably not what I want.  For example, if I choose 1280x800, I
will get two large black bars (about 2") at top and bottom of the screen since
it's a 8:5 aspect ratio.  Having the aspect ratio shown beside the resolution
just makes the selection a little faster and easier.

On another note... when the monitor is autodetected, do you get any aspect
information from it?  It would be /really/ nice to mark (*) preferred aspect
ratios automatically.  Not sure the technology for doing so exists though.
Comment 5 Adam Jackson 2006-03-22 16:07:07 EST
(In reply to comment #4)
> I know that my monitor is a 4:3 aspect ratio.  Choosing anything other than 4:3
> resolution is probably not what I want.  For example, if I choose 1280x800, I
> will get two large black bars (about 2") at top and bottom of the screen since
> it's a 8:5 aspect ratio.  Having the aspect ratio shown beside the resolution
> just makes the selection a little faster and easier.
> 
> On another note... when the monitor is autodetected, do you get any aspect
> information from it?  It would be /really/ nice to mark (*) preferred aspect
> ratios automatically.  Not sure the technology for doing so exists though.

We can work backwards from the display dimensions to the aspect ratio, yeah,
assuming DDC works.  There's actually two pieces there, one that gives the
physical dimensions and one that gives the native resolution.  You don't always
get the second one even if DDC works, and the first one is a bit fuzzy.

What it sounds like you're really asking for here is "don't even bother to
display resolutions that don't match my aspect ratio", which seems sensible,
except that I doubt most users even know what an aspect ratio is.  In particular
I fear for the hordes of 4:3 users wondering where 1280x1024 went.
Comment 6 Bernard Johnson 2006-03-22 17:37:06 EST
Actually, I'm asking for more of "cull out junk and show me my best choices". 
It's not that I don't want to have access to them or see them, I just want a
good recommendation as to what I /probably/ should be using.  You could do that
in a couple of ways:
--------------
These resolutions best match your hardware:
640x480
800x600
1024x768
1162x864
[ ] show other non-optimum resolutions
--------------

or maybe

--------------
These resolutions best match your hardware:
640x480 (*)
800x600 (*)
1024x768 (*)
1152x768
1162x864 (*)
1280x800
--------------

This is assuming that you get enough information to determine this.  Otherwise,
I guess the default case would be to diplay everything as is done currently.

I'm guessing similar aspect ratios to the actual hardware could be considered
optimal as well (ie. 1280x1024).
Comment 7 Bernard Johnson 2007-11-15 15:06:20 EST
Is this bug is even relevant with the new behavior of xorg* autodetect stuff.
Comment 8 Matěj Cepl 2009-11-05 12:11:13 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 9 Bernard Johnson 2009-11-22 13:36:26 EST
As I commented in #7, I don't even worry about this anymore - it "just works" with autodetect.  While it may be still useful for manual selection, I don't see myself ever going back to that.
Comment 10 Fedora End Of Life 2013-04-03 15:52:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 11 Fedora End Of Life 2015-01-09 16:35:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-18 06:56:24 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.